Package com.google.earth.kml._2

# Class IconStyleType

java.lang.Object
com.google.earth.kml._2.ObjectType
com.google.earth.kml._2.ColorStyleType
com.google.earth.kml._2.IconStyleType

public class IconStyleType extends ColorStyleType
<p>Java class for IconStyleType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="IconStyleType"> <complexContent> <extension base="{http://earth.google.com/kml/2.1}ColorStyleType"> <sequence> <element name="scale" type="{http://www.w3.org/2001/XMLSchema}float" minOccurs="0"/> <element name="heading" type="{http://www.w3.org/2001/XMLSchema}float" minOccurs="0"/> <element name="Icon" type="{http://earth.google.com/kml/2.1}IconStyleIconType" minOccurs="0"/> <element name="hotSpot" type="{http://earth.google.com/kml/2.1}vec2Type" minOccurs="0"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Float`
  `heading`
  `protected Vec2Type`
  `hotSpot`
  `protected IconStyleIconType`
  `icon`
  `protected Float`
  `scale`

  ### Fields inherited from class com.google.earth.kml._2.ColorStyleType

  `color, colorMode`

  ### Fields inherited from class com.google.earth.kml._2.ObjectType

  `id, targetId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IconStyleType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Float`
  `getHeading()`
  Gets the value of the heading property.
  `Vec2Type`
  `getHotSpot()`
  Gets the value of the hotSpot property.
  `IconStyleIconType`
  `getIcon()`
  Gets the value of the icon property.
  `Float`
  `getScale()`
  Gets the value of the scale property.
  `void`
  `setHeading(Float value)`
  Sets the value of the heading property.
  `void`
  `setHotSpot(Vec2Type value)`
  Sets the value of the hotSpot property.
  `void`
  `setIcon(IconStyleIconType value)`
  Sets the value of the icon property.
  `void`
  `setScale(Float value)`
  Sets the value of the scale property.

  ### Methods inherited from class com.google.earth.kml._2.ColorStyleType

  `getColor, getColorMode, setColor, setColorMode`

  ### Methods inherited from class com.google.earth.kml._2.ObjectType

  `getId, getTargetId, setId, setTargetId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### scale

    protected Float scale

  - ### heading

    protected Float heading

  - ### icon

    protected IconStyleIconType icon

  - ### hotSpot

    protected Vec2Type hotSpot

- ## Constructor Details

  - ### IconStyleType

    public IconStyleType()

- ## Method Details

  - ### getScale

    public Float getScale()
    Gets the value of the scale property.
    Returns:
      possible object is `Float`

  - ### setScale

    public void setScale(Float value)
    Sets the value of the scale property.
    Parameters:
      `value` - allowed object is `Float`

  - ### getHeading

    public Float getHeading()
    Gets the value of the heading property.
    Returns:
      possible object is `Float`

  - ### setHeading

    public void setHeading(Float value)
    Sets the value of the heading property.
    Parameters:
      `value` - allowed object is `Float`

  - ### getIcon

    public IconStyleIconType getIcon()
    Gets the value of the icon property.
    Returns:
      possible object is `IconStyleIconType`

  - ### setIcon

    public void setIcon(IconStyleIconType value)
    Sets the value of the icon property.
    Parameters:
      `value` - allowed object is `IconStyleIconType`

  - ### getHotSpot

    public Vec2Type getHotSpot()
    Gets the value of the hotSpot property.
    Returns:
      possible object is `Vec2Type`

  - ### setHotSpot

    public void setHotSpot(Vec2Type value)
    Sets the value of the hotSpot property.
    Parameters:
      `value` - allowed object is `Vec2Type`